% Plot Sector Inflation .. US


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
%rng(63761);
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  procs_dir = '../m_utilities/';            % Directory for necessary matlab_procs and functions
  p = path;   % Update path to access procs_dir                              
  p1=path(procs_dir,p);
  
  % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  mtoq_agg = 0;   % Temporal aggregation indicator of monthly to quarterly data
  pc_comp_data_calendar_m_and_q_prices;
  % Data Series Used
  dp_agg = dp_agg_q;
  dp_agg_xfe = dp_agg_xfe_q;
  dp_agg_xe = dp_agg_xe_q;
  dp_disagg = dp_disagg_q;
  share_avg = share_avg_q;
  share_avg_xe = share_avg_xe_q;
  share_avg_xfe= share_avg_xfe_q;
  calvec_p = calvec_qp;
  dnobs_p = dnobs_qp;
  calds_p = calds_qp;
  dp_aggs = [dp_agg dp_agg_xfe dp_agg_xe];
  namevec_aggs = {'dp_agg';'dp_agg_xfe';'dp_agg_xe'};
  
 
  first_date = [1984 1];
  last_date = [2018 1];
  ismpl = smpl(calvec_p,first_date,last_date,4);
  calvec = calvec_p(ismpl==1);
 
  % Inflations measures over sample period
  dp_aggs = dp_aggs(ismpl==1,:);
  dp_disagg = dp_disagg(ismpl==1,:);
  
 
  % Plot Level of Disaggregate Inflation
  ax_fs = 15;
  figure;
  pan = {'a';'b';'c';'d';'e';'f';'g';'h';'i';'j';'k';'l';'m';'n';'o';'p';'q';'r';'s';'t'};
  for i = 1:17;
      ss = char(labelvec_disagg(i));
      subplot(6,3,i);
      plot(calvec,ma(dp_aggs(:,2),4),'-- b','LineWidth',2);
      hold on;
        plot(calvec,ma(dp_disagg(:,i),4),'- k','LineWidth',3);
      hold off;
      if i == 1
         legend('PCE-XFE','Component','Location','north');
      end
      xlim([1980 2020]);
      title(ss);
      ax = gca;
      ax.FontSize = ax_fs;
      
      % Save Values to CSV File
      ss1 = char(pan(i));
      outfile_name = [outdir 'Chart_3_1_' ss1 '.csv'];
      fileID = fopen(outfile_name,'w');
      fprintf(fileID,['date,PCE-XFE,' ss '\n']);
      tmp1 = ma(dp_aggs(:,2),4);
      tmp2 = ma(dp_disagg(:,i),4);
      tmp = [calvec tmp1 tmp2];
      prtmat_comma(tmp,fileID,'%12.4f','\n');
      
  end;
  set(gcf, 'Position', get(0, 'Screensize'));  % Full Screen
  fig_str = ['Chart_3_1']; str_fig = [figdir fig_str];
  saveas(gcf,[str_fig]);
  saveas(gcf,[str_fig '.png']);
  close(gcf);
  
  path(p);  % Reset path
 
  

  