% Plot Sector Inflation .. US


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
%rng(63761);
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  procs_dir = '../m_utilities/';            % Directory for necessary matlab_procs and functions
  p = path;   % Update path to access procs_dir                              
  p1=path(procs_dir,p);
  
  % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  mtoq_agg = 0;   % Temporal aggregation indicator of monthly to quarterly data
  pc_comp_data_calendar_m_and_q_prices;
  % Data Series Used
  share_avg = share_avg_q;
  share_avg_xe = share_avg_xe_q;
  share_avg_xfe= share_avg_xfe_q;
  calvec_p = calvec_qp;
  dnobs_p = dnobs_qp;
  calds_p = calds_qp;
 
  first_date = [2000 1];
  last_date = [2018 1];
  ismpl = smpl(calvec_p,first_date,last_date,4);
  share_disagg = share_avg(ismpl==1,:);
  avg_share_2000 = mean(share_disagg);
  
  outfile_name = [outdir 'Table_3_1_Results.csv'];
  fileID = fopen(outfile_name,'w');
  
  for i = 1:17;
      ss = char(labelvec_disagg(i));
      fprintf(fileID,[ss ',']);
      fprintf(fileID,'%5.3f \n',avg_share_2000(i));
  end;
 
  
  
  path(p);  % Reset path
 
  

  