% HICP Inflation Data
% Construct Monthly and Quarterly Values of Inflation
% 5/24/2018, mww

if load_data == 1;

% ----------- Features of Data Set ---------
ns = 10;
miss_code = 1.0e+32;

% ----------- Sample Period, Calendars and so forth
[dnobs,calvec,calds] = calendar_make([1975 3],[2018 2],4);

% --------------- Read In Quarterly Data for Nominal PCE ---------------- 
xlsname = '/Users/mwatson/Dropbox/pc_comp/data/EA/ea_activity.xlsx';
% Read Data 
ndesc=1;
ncodes=0;
sheet='Sheet1';
[namevec,descmat,tcodemat,datevec,datamat] = readxls(xlsname,sheet,ns,dnobs,ndesc,ncodes);
%tcodemat = tcodemat(1,:);
labelvec=descmat(:,1);
% Convert Namestrings to upper case 
namevec = upper(namevec);
% Eliminate any leading or trailing blanks 
namevec=strtrim(namevec);
labelvec=strtrim(labelvec);
% Replace missing values with NaN
isel = datamat == miss_code;
datamat(isel) = NaN;

str='CAPUTIL_EA';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
capu = datamat(:,j);

str='GDP_EA_SA';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
gdp = datamat(:,j);

str='unrate_EA_SA';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
urate = datamat(:,j);

str='INDPRO_EA_SA';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
indpro = datamat(:,j);

str='UGAP_EC';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
ugap_ec = datamat(:,j);

str='GDPGAP_IMF';    % nominal GDI
str=upper(str);
j = colnumber(str,namevec);
gdpgap_imf = datamat(:,j);

calvec_r = calvec;
dnobs_r = dnobs;
calds_r = calds;

 % Save Variable Series 
  slist_prices = {...
           'calvec_r' ...
           'calds_r' ...
           'dnobs_r' ... 
           'capu' ...
           'gdp' ...
           'urate' ...
           'indpro' ...
           'ugap_ec' ...
           'gdpgap_imf' ...
          }';
  str_tmp = [matdir 'slist_prices'];
  save(str_tmp,'slist_prices');
  for iseries = 1:size(slist_prices,1);
     ustr = char(slist_prices(iseries));
     str_tmp = [matdir ustr];
     str_tmp1 = 'save(str_tmp,''';
     str_tmp2 = ''');';
     eval([str_tmp1 ustr str_tmp2]);
  end;

  
end;  %Load Data end;
 
  
% Load Variables and Give Standard Names 
str_tmp = [matdir 'slist_prices'];
load(str_tmp); 
for iseries = 1:size(slist_prices,1);
     ustr = char(slist_prices(iseries));
     str_tmp = [matdir ustr];
     load(str_tmp);
end; 