% HICP Inflation Data
% 6/3/2018, mww

if load_data == 1;

% ----------- Features of Data Set ---------
ns = 17;
miss_code = 1.0e+32;

% ----------- Sample Period, Calendars and so forth
[dnobs,calvec,calds] = calendar_make([1996 1],[2018 1],4);

% --------------- Read In Quarterly Data for Nominal PCE ---------------- 
xlsname = '../data/EA/ea_hicp.xlsx';
% Read Data 
ndesc=1;
ncodes=0;
sheet='Sheet1';
[namevec,descmat,tcodemat,datevec,datamat] = readxls(xlsname,sheet,ns,dnobs,ndesc,ncodes);
%tcodemat = tcodemat(1,:);
labelvec=descmat(:,1);
% Convert Namestrings to upper case 
namevec = upper(namevec);
% Eliminate any leading or trailing blanks 
namevec=strtrim(namevec);
labelvec=strtrim(labelvec);
% Replace missing values with NaN
isel = datamat == miss_code;
datamat(isel) = NaN;

dp_all = datamat(:,1);
dp_xfeat = datamat(:,2);
dp_xepf = datamat(:,3);

dp_disagg = datamat(:,4:end);
labelvec_disagg = labelvec(4:end);
namevec_disagg = namevec(4:end);

calvec_p = calvec;
dnobs_p = dnobs;
calds_p = calds;

 % Save Variable Series 
  slist_prices = {...
           'calvec_p' ...
           'calds_p' ...
           'dnobs_p' ... 
           'dp_all' ...
           'dp_xfeat' ...
           'dp_xepf' ...
           'dp_disagg' ...
           'labelvec_disagg' ...
           'namevec_disagg' ...
          }';
  str_tmp = [matdir 'slist_prices'];
  save(str_tmp,'slist_prices');
  for iseries = 1:size(slist_prices,1);
     ustr = char(slist_prices(iseries));
     str_tmp = [matdir ustr];
     str_tmp1 = 'save(str_tmp,''';
     str_tmp2 = ''');';
     eval([str_tmp1 ustr str_tmp2]);
  end;

end;  %Load Data end;
   
% Load Variables and Give Standard Names 
str_tmp = [matdir 'slist_prices'];
load(str_tmp); 
for iseries = 1:size(slist_prices,1);
     ustr = char(slist_prices(iseries));
     str_tmp = [matdir ustr];
     load(str_tmp);
end; 