clear
cap log close
set scheme s1color
cap program drop _all
cd "C:\Users\\`c(username)'\Dropbox\SW\Sintra\replication_files\stata_programs"
log using "sintra_sec1-2_replication_ea.txt", text replace
set more 1
*************************************************************
* sintra_sec1-2_replication_ea.do            JS, 6/23/18
*************************************************************
*
use data\EA_HICP_combined, clear
 tsset time
 sort time
list time HICPxeuf HICPxeuf_FRED HICP041_FRED HICP041000 
*
************************************************************
* Construct MA4 etc inflation series
************************************************************
global csivars "HICP01 HICP02 HICP03 HICP04x HICP05 HICP06 HICP07 HICP08 HICP09 HICP10 HICP11 HICP12" 
foreach x of varlist HICPall HICPxeuf $csivars {
 gen d4`x' = (`x'+L.`x'+L2.`x'+L3.`x')/4
 gen d4d4`x' = d4`x' - L4.d4`x'
}
label var unrate_EA_sa "EA19 unemployment rate"
label var d4HICPall "HICP"
label var d4HICPxeuf "HICPxEUF"
************************************************************
* Chart 1.2
************************************************************
*
twoway (tsline d4HICPxeuf d4HICPall, lp(dash ..)) (tsline unrate_EA_sa, yaxis(2) lc(black)) if tin(2013q1,2018q1), ///
  legend(row(1) size(vsmall) rowgap(.05)) ytitle("4-qtr inflation")
  global a98 "figs\Chart1-2.png"
  graph export $a98, replace
export excel year quarter d4HICPxeuf d4HICPall unrate_EA_sa if tin(2013q1,2018q1) using "figs\Chart1-2.xlsx", firstrow(varl) replace
